## ncpfs 0.23-1

=== Makefile ===
#
# Makefile for the linux ncp-filesystem routines.
#

VERSION = 0.23

# If you are using kerneld to autoload ncp support,
# uncomment this (kerneld is in linux since about 1.3.57):
KERNELD = -DHAVE_KERNELD

TOPDIR = $(shell pwd)
BINDIR = $(prefix)/usr/bin
SBINDIR = $(prefix)/usr/sbin
MANDIR = $(prefix)/usr/man
INTERM_BINDIR = $(TOPDIR)/bin
SUBDIRS = util man

KVERSION=$(shell uname -r | cut -b3)

ifeq ($(KVERSION),2)
SUBDIRS += kernel-1.2/src
INCLUDES = -I$(TOPDIR)/kernel-1.2
endif

export INCLUDES BINDIR INTERM_BINDIR SBINDIR KERNELD VERSION
export MANDIR

all:
	for i in $(SUBDIRS); do make -C $$i all; done

dep:
	for i in $(SUBDIRS); do	make -C $$i dep; done

install:
	for i in $(SUBDIRS); do	make -C $$i install; done

clean:
	rm -f `find . -type f -name '*.o' -print`
	rm -f `find . -type f -name '*~' -print`
	rm -f `find . -type f -name '.depend' -print`
	rm -f `find . -type f -name '*.out' -print`
	for i in $(SUBDIRS); do	make -C $$i clean; done

mrproper: clean
	rm -fr $(INTERM_BINDIR)/* ncpfs.tgz
	make -C util mrproper
	(cd daemon; make clean)

modules: ncpfs.o

SRCPATH=$(shell pwd)
SRCDIR=$(shell basename $(SRCPATH))
DISTFILE=$(SRCDIR).tgz

dist: mrproper
	mv daemon ..
	(cd ..; \
         tar cvf - $(SRCDIR) | \
            gzip -9 > $(DISTFILE); \
         mv $(DISTFILE) $(SRCDIR))
	mv ../daemon .
	make dep
	make all

tgz: mrproper
	(cd ..; \
         tar cvf - $(SRCDIR) | \
            gzip -9 > $(DISTFILE); \
         mv $(DISTFILE) $(SRCDIR))

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== ipx-1.0/Makefile ===
CFLAGS = -O2 -Wall
UTILS = $(INTERM_BINDIR)/ipx_configure $(INTERM_BINDIR)/ipx_interface \
	$(INTERM_BINDIR)/ipx_internal_net $(INTERM_BINDIR)/ipx_route

MAN8 = ipx_configure ipx_interface ipx_internal_net ipx_route

all: $(UTILS)

$(INTERM_BINDIR)/ipx_configure: ipx_configure.o
	$(CC) -o $(INTERM_BINDIR)/ipx_configure ipx_configure.o

$(INTERM_BINDIR)/ipx_interface: ipx_interface.o
	$(CC) -o $(INTERM_BINDIR)/ipx_interface ipx_interface.o

$(INTERM_BINDIR)/ipx_internal_net: ipx_internal_net.o
	$(CC) -o $(INTERM_BINDIR)/ipx_internal_net ipx_internal_net.o

$(INTERM_BINDIR)/ipx_route: ipx_route.o
	$(CC) -o $(INTERM_BINDIR)/ipx_route ipx_route.o

dep:
	$(CPP) -M $(INCLUDES) *.c > .depend

clean:
	rm -f $(UTILS) *.o rip sap ipxrcv ipxsend

install: $(UTILS)
	for i in $(UTILS); \
	do \
		install $$i $(SBINDIR); \
	done

	for i in $(MAN8); do install ../man/$$i.8 -m 755 $(MANDIR)/man8; done

=== ipxdump/Makefile ===
EXEC= ipxdump ipxparse

CFLAGS= -Wall -O2
OBJECTS= ipxutil.o

all:	$(EXEC)

ipxdump: ipxdump.o $(OBJECTS)
	$(CC) -o $@ ipxdump.o $(CFLAGS) $(OBJECTS)

ipxparse: ipxparse.o $(OBJECTS)
	$(CC) -o $@ ipxparse.o $(CFLAGS) $(OBJECTS)

clean:
	rm -f *.o $(EXEC) *~


modules: ncpfs.o

SRCPATH=$(shell pwd)
SRCDIR=$(shell basename $(SRCPATH))
DISTFILE=$(SRCDIR).tgz

mrproper: clean
	rm -f $(DISTFILE)
	
dist: tgz
	make all

tgz: mrproper
	(cd ..; \
         tar cvf - $(SRCDIR) | \
            gzip -9 > $(DISTFILE); \
         mv $(DISTFILE) $(SRCDIR))

=== man/Makefile ===
MAN1= slist nprint pqlist nsend pserver ncopy
MAN5= nwclient
MAN8= ncpmount ncpumount nwmsg



all:

dep:

install:
	for i in $(MAN1); do install $$i.1 -m 644 $(MANDIR)/man1; done
	for i in $(MAN5); do install $$i.5 -m 644 $(MANDIR)/man5; done
	for i in $(MAN8); do install $$i.8 -m 644 $(MANDIR)/man8; done

clean:

=== util/Makefile ===
#
# Makefile for the linux ncp-filesystem routines.
#

USERUTILS = slist pqlist nwfsinfo pserver nprint nsend ncopy
UIDUTILS = ncpmount ncpumount
SBINUTILS = nwmsg

UTIL_EXECS = $(USERUTILS) $(UIDUTILS) $(SBINUTILS)
UTILS = $(addprefix $(INTERM_BINDIR)/,$(UTIL_EXECS))

#CFLAGS = -Wall $(INCLUDES)  $(KERNELD) -g -DNCPFS_VERSION=\"$(VERSION)\"
CFLAGS = -Wall $(INCLUDES) $(KERNELD) -O2 -g -DNCPFS_VERSION=\"$(VERSION)\"

CC = gcc

default:
	make -C ..

all: $(UTILS) ncptest

install: all
	for i in $(UTIL_EXECS); \
	do install -s $(INTERM_BINDIR)/$$i -m 755 $(BINDIR); done
	for i in $(UIDUTILS); \
	do install -s $(INTERM_BINDIR)/$$i -m 4755 $(BINDIR); done
	for i in $(SBINUTILS); \
	do install -s $(INTERM_BINDIR)/$$i -m 755 $(SBINDIR); done

$(UTILS): $(addsuffix .o,$(UTIL_EXECS)) libncp.a
	$(CC) -o $@ $(addsuffix .o,$(notdir $@)) -L. -lncp

ncplib.o: ncplib.c ncplib.h ncplib_err.h
	$(CC) $(CFLAGS) -finline-functions -c ncplib.c

COM_ERR_CFILES = com_err/com_err.c com_err/error_message.c com_err/et_name.c \
	com_err/init_et.c

libncp.a: ncplib.o ncplib_err.o $(COM_ERR_CFILES)
	make -C com_err
	ar r libncp.a ncplib.o ncplib_err.o \
	com_err/com_err.o com_err/error_message.o com_err/et_name.o \
	com_err/init_et.o

ncplib_err.h: ncplib_err.et
	com_err/compile_et ncplib_err

ncplib_err.c: ncplib_err.et
	com_err/compile_et ncplib_err

test: test.o ncplib.o
	$(CC) -o test test.o ncplib.o

ncptest: ncptest.o libncp.a
	$(CC) -o ncptest ncptest.o -L. -lncp

dep: ncplib_err.h
	make -C com_err dep
	$(CPP) -M $(INCLUDES) *.c > .depend

clean:
	make -C com_err clean
	rm -f *.o *~ slist test ncptest ncplib_err.[ch] libncp.a

mrproper: clean
	make -C com_err mrproper
	rm -f $(UTILS) .depend $(DISTFILE)

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== util/com_err/Makefile ===
#
# Makefile for the com_err library
#

OBJECTS = com_err.o error_message.o et_name.o init_et.o
CFLAGS = -Wall -O2

all: $(OBJECTS)

dep:
	$(CPP) -M $(INCLUDES) *.c > .depend

clean:
	rm -f *.o

mrproper: clean
	rm -f .depend

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

## ncpfs 2.2.0.7

=== Makefile ===
#
# Makefile for the linux ncp-filesystem routines.
#

TOPDIR = $(shell pwd)
include ./Makeinit

EXECSUBDIRS = lib-static-su sutil util ipx-1.0
SUBDIRS := $(EXECSUBDIRS) lib-shared lib-static man
INSTALL_SUBDIRS := util sutil man ipx-1.0
ifeq ($(HAVE_ELF),yes)
EXECSUBDIRS := lib-shared $(EXECSUBDIRS)
INSTALL_SUBDIRS := lib-shared $(INSTALL_SUBDIRS)
else
EXECSUBDIRS := lib-static $(EXECSUBDIRS)
INSTALL_SUBDIRS := lib-static $(INSTALL_SUBDIRS)
endif

export INCLUDES VERSION HAVE_ELF CFLAGS 

all:
	set -e; for i in $(EXECSUBDIRS); do make -C $$i all; done
	@if [ "$(HAVE_ELF)" = yes ] ;\
	then \
	echo ; echo ; echo ;\
	echo Please add \'`pwd`/lib\' to the environment ; \
	echo variable LD_LIBRARY_PATH by executing ; \
	echo ;\
	echo export LD_LIBRARY_PATH=\"\$$LD_LIBRARY_PATH:`pwd`/lib\" ; \
	echo ;\
	echo or do a \'make install\'. ;\
	echo ;\
	fi	

dep:
	for i in $(SUBDIRS); do	make -C $$i dep; done

install:
	for i in $(INSTALL_SUBDIRS); do	make -C $$i install; done

clean_me:
	rm -f `find -name '*.out'`
	rm -f `find -name '*~'`
	rm -f *.tgz

clean: clean_me
	for i in $(SUBDIRS); do	make -C $$i clean; done

mrproper: clean_me
	for i in $(SUBDIRS) ipxdump; do make -C $$i mrproper; done

modules: ncpfs.o

SRCPATH=$(shell pwd)
SRCDIR=$(shell basename $(SRCPATH))
DISTFILE=$(SRCDIR).tgz

dist: tgz
	make dep
	make all

tgz: 
	indent -kr -i8 `find . -name '*.[ch]'`
	make mrproper
	(cd ..; \
         tar cvf - $(SRCDIR) | \
            gzip -9 > $(DISTFILE); \
         mv $(DISTFILE) $(SRCDIR))

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== man/Makefile ===
TOPDIR = ..
include $(TOPDIR)/Makeinit

MAN1 = ncopy nwbols nwfsinfo nwsfind pqlist nprint nwboprops nwfstime \
	nwtrustee pserver nsend nwbpset nwpasswd nwuserlist slist \
	nwauth nwbpvalues nwrights nwvolinfo pqrm pqstat nwpurge
MAN5 = nwclient
MAN8 = ncpmount nwbpadd nwmsg ncpumount nwbpcreate nwrevoke nwbocreate \
	nwbprm nwborm nwgrant

all:

dep:

install:
	for i in $(MAN1); do install $$i.1 -m 644 $(MANDIR)/man1; done
	for i in $(MAN5); do install $$i.5 -m 644 $(MANDIR)/man5; done
	for i in $(MAN8); do install $$i.8 -m 644 $(MANDIR)/man8; done

clean:
	rm -f *~

mrproper: clean

=== util/Makefile ===
#
# Makefile for the linux ncp-filesystem routines.
#

TOPDIR = ..
include $(TOPDIR)/Makeinit

O_USERUTILS = slist.o pqlist.o nwfsinfo.o pserver.o nprint.o nsend.o \
	ncopy.o nwpasswd.o nwbols.o nwbocreate.o nwborm.o nwboprops.o \
	pqstat.o pqrm.o nwbpcreate.o nwbprm.o nwbpvalues.o nwbpadd.o \
	nwbpset.o nwgrant.o nwrevoke.o nwuserlist.o nwrights.o nwauth.o \
	nwfstime.o nwvolinfo.o nwtrustee.o nwpurge.o nwdir.o
ifdef MOUNT2
O_SBINUTILS = nwmsg.o
endif

USERUTILS = $(O_USERUTILS:%.o=%)
SBINUTILS = $(O_SBINUTILS:%.o=%)

UTILS = $(USERUTILS) $(SBINUTILS) ncptest

ifeq ($(HAVE_ELF),yes)
NCP_LIB = libncp.so
NCPLIB_DIR = ../lib-shared
LIBDEP = $(NCPLIB_DIR)/$(NCP_LIB)
else
NCP_LIB = libncp.a
NCPLIB_DIR = ../lib-static
LIBDEP = $(NCPLIB_DIR)/$(NCP_LIB)
endif

default:
	make -C ..

all: $(UTILS) ncptest # ipx_probe

install: all
	for i in $(USERUTILS); \
	do install $$i -m 755 $(BINDIR); done
	for i in $(SBINUTILS); \
	do install $$i -m 755 $(SBINDIR); done

../lib-static/libncp.a:
	make -C ../lib-static libncp.a

../lib-shared/libncp.so:
	make -C ../lib-shared libncp.so

$(O_USERUTILS) $(O_SBINUTILS) ncptest.o: %.o: %.c
	$(CC) $(CFLAGS) $(CCFLAGS) -o $@ -c $<

$(UTILS): %: %.o $(LIBDEP)
	$(CC) $(CFLAGS) -o $@ $(addsuffix .o,$@) -L$(NCPLIB_DIR) -lncp 

ipx_probe: ipx_probe.c
	$(CC) $(CFLAGS) $(CCFLAGS) -o ipx_probe ipx_probe.c

dep:
	$(CPP) -M $(INCLUDES) *.c > .depend

clean:
	rm -f *.o *~ $(UTILS) ipx_probe

mrproper: clean
	rm -f .depend

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

## ncpfs 2.2.0.9

=== ipx-1.0/Makefile ===
TOPDIR = ..
include $(TOPDIR)/Makeinit
# CFLAGS = -O2 -Wall -I../include
UTILS = ipx_configure ipx_interface ipx_internal_net ipx_route
MAN8 := $(UTILS)
CFLAGS := $(CCFLAGS)

all: $(UTILS)

dep:
	$(CPP) -M $(INCLUDES) *.c > .depend

clean:
	rm -f $(UTILS) *.o rip sap ipxrcv ipxsend

mrproper: clean
	rm -f .depend

install: $(UTILS)
	for i in $(UTILS); \
	do \
		install $$i $(BINDIR); \
	done
	for i in $(MAN8); do install $$i.8 -m 644 $(MANDIR)/man8; done

=== sutil/Makefile ===
#
# Makefile for the linux ncp-filesystem routines.
#

TOPDIR = ..
include $(TOPDIR)/Makeinit

ifdef MOUNT3
# environ in ncpmount
CCFLAGS += -D_GNU_SOURCE
endif

O_UTILS = ncpmount.o ncpumount.o nwsfind.o
UTILS = $(O_UTILS:%.o=%)

CCFLAGS += -D__MAKE_SULIB__

default:
	make -C ..

all: $(UTILS)

install: all
	for i in $(UTILS); \
	do install $$i -m 4755 $(BINDIR); done

$(O_UTILS): %.o: %.c ../lib-static-su/ncplib_err.h
	$(CC) $(CFLAGS) $(CCFLAGS) -I../lib-static-su -o $@ -c $<

$(UTILS): %: %.o ../lib-static-su/libncp.a 
	$(CC) -o $@ $(addsuffix .o,$@) -L../lib-static-su -lncp

../lib-static-su/libncp.a ../lib-static-su/ncplib_err.h:
	make -C ../lib-static-su libncp.a

dep:
	$(CPP) -M $(INCLUDES) *.c > .depend

clean:
	rm -f *.o *~ $(UTILS)

mrproper: clean
	rm -f .depend

#
# include a dependency file if one exists
#
ifeq (.depend,$(wildcard .depend))
include .depend
endif

## ncpfs 2.2.0.17

=== contrib/testing/Makefile ===
CFLAGS = -O2 -Wall -W -g

O_UTILS1 = canon.o abbrev.o resolve.o readaddr.o fileinfo.o resint.o nsfileinfo.o nfssetinfo.o dirlist.o dirlist2.o vollist.o
UTILS1 = $(O_UTILS1:%.o=%)

all: iconvx wcsmbs-tst1 time $(UTILS1)

# we must link dirlist static. ncp_unlock_conn & ncp_init_request are not exported from versioned shared library
LDFLAGS_dirlist = -static

iconvx: iconv_prog.c error.c add.c
	gcc -D_GNU_SOURCE -D_libc_intl_domainname=\"libc\" -D_= -DN_= -Dgettext= -Dinternal_function= -DHAVE_VPRINTF -DSTDC_HEADERS -DHAVE_STRERROR_R -I. -o iconvx iconv_prog.c error.c add.c

wcsmbs-tst1 time: %: %.c
	gcc -D_GNU_SOURCE $(CFLAGS) -o $@ $(addsuffix .c,$@)

$(O_UTILS1): %.o: %.c
	gcc -D_GNU_SOURCE $(CFLAGS) $(CFLAGS_$@) -I../../include -o $@ -c $<

$(UTILS1): %: %.o
	gcc $(CFLAGS) -o $@ $(addsuffix .o,$@) -lncp $(LDFLAGS_$@)

clean:
	-rm iconvx wcsmbs-tst1 time $(UTILS1) $(O_UTILS1)

distclean: clean

## ncpfs 2.2.0.18

=== contrib/testing/Makefile ===
CFLAGS = -O2 -Wall -W -g
LDFLAGS = -L../../lib

O_UTILS1 = canon.o abbrev.o resolve.o readaddr.o fileinfo.o resint.o \
	   nsfileinfo.o nfssetinfo.o dirlist.o dirlist2.o vollist.o \
	   readattr.o cmpattr.o nwdslist.o mkobj.o rmobj.o modobj.o \
	   renobj.o mvobj.o copyauth.o nwdsgethost.o nwdsgetstat.o mkfile.o \
	   setkeys.o verpwd.o chgpwd.o nwdsgetvi.o nwdspartlist.o \
	   nwdspartsplit.o nwdspartjoin.o nwdspartrm.o replops.o \
	   effright.o partroot.o reloadds.o nwdsresetstat.o nwgettime.o \
	   readcls.o mkclass.o rmclass.o readcc.o modclass.o readadef.o \
	   mkattr.o rmattr.o readsynt.o timegv.o schsync.o timeinfo.o
UTILS1 = $(O_UTILS1:%.o=%)

all: iconvx wcsmbs-tst1 time $(UTILS1)

# we must link dirlist static. ncp_unlock_conn & ncp_init_request are not exported from versioned shared library
# we cannot use --gc-sections always... there are linkers which do not understand it :-(
LDFLAGS_dirlist = -static #-Wl,--gc-sections

iconvx: iconv_prog.c error.c add.c
	gcc -D_GNU_SOURCE -D_libc_intl_domainname=\"libc\" -D_= -DN_= -Dgettext= -Dinternal_function= -DHAVE_VPRINTF -DSTDC_HEADERS -DHAVE_STRERROR_R -I. -o iconvx iconv_prog.c error.c add.c

wcsmbs-tst1 time: %: %.c
	gcc -D_GNU_SOURCE $(CFLAGS) -o $@ $(addsuffix .c,$@)

$(O_UTILS1): %.o: %.c
	gcc -D_GNU_SOURCE -DN_PLAT_LINUX $(CFLAGS) $(CFLAGS_$@) -I../../include -o $@ -c $<

$(UTILS1): %: %.o
	gcc $(LDFLAGS) $(CFLAGS) -o $@ $(addsuffix .o,$@) -lncp $(LDFLAGS_$@)

clean:
	-rm iconvx wcsmbs-tst1 time $(UTILS1) $(O_UTILS1)

distclean: clean

## ncpfs 2.2.6

=== ids/Makefile ===
CFLAGS = -W -Wall -O2 -I../include
LDFLAGS = -L../lib -lncp

ncpfs-nwuid-test: ncpfs-nwuid-test.c

=== contrib/libtrace/Makefile ===
#
#
#
top_srcdir = ../..
top_builddir = ../..
this_srcdir = ${top_srcdir}/contrib/libtrace

include ${top_builddir}/Make.rules

.PHONY : all clean distclean mrproper

all: tracencp.so

tracencp.so: tracencp.c allsyms.c
	$(CC) $(CFLAGS) -o tracencp.so -shared tracencp.c -L${top_builddir}/lib -lncp -ldl

allsyms.c: ${top_builddir}/lib/libncp.so
	objdump -T ${top_builddir}/lib/libncp.so | grep 'DF .text' | rev | cut -d" " -f1 | rev | sed 's/^\(.*\)$$/DO_ASM_SYMBOL_EASY(\1)/' > allsyms.c

clean:
	-rm -f allsyms.c tracencp.so

distclean: clean

mrproper: clean

=== debian/changelog ===
ncpfs (2.2.6-8) unstable; urgency=low

  * QA upload
  * Define clone2 and use it instead of clone on ia64 only 
    Add 13-580015.ia64-clone2.patch
    Closes: 580015

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 Jun 2010 19:08:23 +1000

ncpfs (2.2.6-7) unstable; urgency=low

  * QA upload
  * Merge 2.2.6-6ubuntu2 
  * Fix Multiple security issues
    CVE-2010-0788, CVE-2010-0790, and CVE-2010-0791
    http://seclists.org/fulldisclosure/2010/Mar/122
    Add 12-572937-multiple-security-issues.patch
    Closes: 572937
  * Debian source format is 3.0 (quilt)
    Add 01-legacy.patch
  * DH compat level is 7
  * Fix out-of-date-standards-version
  * Fix maintainer-script-ignores-errors
  * Fix copyright-refers-to-versionless-license-file
  * Fix dh_undocumented-is-obsolete
  * Fix dh-clean-k-is-deprecated

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 27 Mar 2010 15:21:50 +1100

ncpfs (2.2.6-6ubuntu2) lucid; urgency=low

  * Remove i386 specific branch to fix authentication (LP: #328020) 

 -- Steven J Harms <sharms@ubuntu.com>  Tue, 22 Dec 2009 11:48:48 -0500

ncpfs (2.2.6-6ubuntu1) karmic; urgency=low

  * Fix GCC packed syntax (LP: #328020)

 -- Steven J Harms <sharms@ubuntu.com>  Tue, 12 May 2009 14:20:12 -0400

ncpfs (2.2.6-6) unstable; urgency=low

  * QA upload
  * Merge changes from Ubuntu:
      * Remove ipx.aliases, as modutils is now obsolete.
      * Remove ipx.postinst for the same reason. (Closes: #510328)
      * Fix errors from man (thanks lintian)
      * contrib/pam/pam_ncp_auth.c: include syslog.h to avoid FTBFS.
      * DO not run ipx_configure if IPX_CONFIGURED == yes. Thanks to Gde
        Bagus Aryana for the patch.
      * Added manpages ncplogin.1, ncplogout.1, ncpmap.1, nwdpvalues.1
      * Added BSD Licence to debian/copyright
      * Added dh_installman to debian/rules
      * lib/ndslib.c: define FIND_ISR to avoid INVALID SERVER RESPONSE
        error from Netware-NDS.
  * Update config.{guess,sub} at build time. Build-Depend on autotools-dev
    so that the updated versions are available.
  * Add lintian overrides for the setuid binaries in ncfps and the changelog
    syntax errors.
  * Call dh_lintian so that the overrides are installed. Version the
    dependency on debhelper appropriately.
  * Alter man/Makefile.in to also link mount.ncpfs.8 to ncpmount.8.

 -- James Westby <james.westby@ubuntu.com>  Tue, 27 Jan 2009 12:20:59 +0000

ncpfs (2.2.6-5) unstable; urgency=low

  * QA upload
  * Maintainer is Debian QA Group <packages@qa.debian.org>
  * Standards-Version is 3.8.0
  * Move homepage control header to source package section
  * Add debian/watch
  * Fix the following lintian issues:
    W: ncpfs source: debian-rules-sets-DH_COMPAT line 9
    W: ncpfs source: debian-rules-ignores-make-clean-error line 41
    W: ncpfs source: substvar-source-version-is-deprecated libncp-dev
    W: ncpfs: maintainer-script-empty postrm
    E: ipx: duplicate-conffile /etc/ipx.conf
    E: ipx: duplicate-conffile /etc/modutils/ipx.aliases
    E: ipx: duplicate-conffile /etc/init.d/ipx

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 08 Jun 2008 16:50:55 +1000

ncpfs (2.2.6-4.2) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Drop Eloy A. Paris and make Anibal Monsalve Salazar
    the maintainer (was uploader), ref (See #466150).
  * Add LSB dependency header to init.d scripts (Closes: #466936).

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 30 Mar 2008 11:10:47 +0200

ncpfs (2.2.6-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * include stddef.h. Thanks go to Petr Vandrovec for the patch.
    (Closes: #428937)
  * contrib/pam/pam_ncp_auth.c: added include for syslog.h. Fixes
    another build failure.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 12 Jan 2008 18:55:22 +0100

ncpfs (2.2.6-4) unstable; urgency=low

  * Set Standards-Version to 3.7.2.
  * Set DH_COMPAT to 5.
  * Fixed "FTBFS: bashisms", closes: #375563.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 20 Jul 2006 21:16:39 +1000

ncpfs (2.2.6-3) unstable; urgency=low

  * Fixed "Error in ipx_internal_net man page", closes: #51760.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Dec 2005 15:00:57 +1100

ncpfs (2.2.6-2) unstable; urgency=low

  * Fixed "Manpage for nwtrustee2", closes: #334312. Patch by
    Maximiliano Curia <maxy@gnuservers.com.ar>.
  * Fixed "ISO code page named wrong in man page", closes: #266713,
    #257677.
  * Updated German translation, closes: #313956.  Patch by
    Jens Seidel <jensseidel@users.sf.net>.
  * Set Standards-Version to 3.6.2.
  * Updated FSF mail address in debian/copyright.
  * Fixed "E: ipx: duplicate-updaterc.d-calls-in-postinst ipx".

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 29 Oct 2005 00:48:26 +1000

ncpfs (2.2.6-1) unstable; urgency=low

  * New upstream version.
    Fixed "CAN-2005-0013 and CAN-2005-0014" (Closes: #293446).
  * Previous release ncpfs-2.2.5 fixed "ncpfs buffer overflow"
    and is also fixed in ncpfs-2.2.6 (Closes: #283617).
  * Incorporate and acknowledge the changes from the non maintainer
    upload 2.2.4-1.1 (Closes: #260024).
  * Fixed "Should suggest libpam-ncp?", it now depends on libpam-ncp
    (Closes: #162267).
  * Fixed "upstream location in the copyright file is outdated"
    (Closes: #260021).
  * Fixed "ncpfs override disparity" (Closes: #267315).
  * Fixed "FTBFS (amd64/gcc-4.0)" (Closes: #284169).
  * Fixed "Please remove an outdated part of the package description"
    (Closes: #260020).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Feb 2005 21:58:40 +1100

ncpfs (2.2.5-2) unstable; urgency=high

  * Grrrrr. Original tarball had permission problems. Uploaded rejected.
    Let's see if this fixes it.

 -- Eloy A. Paris <peloy@debian.org>  Wed,  1 Dec 2004 13:02:07 -0500

ncpfs (2.2.5-1) unstable; urgency=high

  * New upstream version. Urgency "high" because of buffer overflows


=== debian/control ===
Source: ncpfs
Section: net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libpam0g-dev, gettext, autotools-dev
Standards-Version: 3.8.4
Homepage: ftp://platan.vc.cvut.cz/pub/linux/ncpfs/

Package: ncpfs
Replaces: ncpfsx
Conflicts: ncpfsx, suidmanager (<< 0.50)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-ncp
Suggests: ipx
Description: utilities to use resources from NetWare servers
 This package contains utilities to mount volumes from NetWare servers.  Also
 included are some utilities such as nprint, which enables you to
 print on NetWare print queues, and pserver, which provides NetWare
 print queues.
 .
 NetWare Directory Services are supported.

Package: ipx
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities to configure the kernel ipx interface
 These are utilities to configure the kernel IPX interface. The kernel has to be
 compiled with IPX support.

Package: libncp
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ncpfs
Description: shared library used by programs that use NetWare Core Protocol
 This shared library is used by some of the programs included in the
 ncpfs package.

Package: libncp-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libncp (>= ${binary:Version})
Description: libncp: development libraries and header files
 Contains the headers and object files needed to compile and
 link programs which use the libncp library.

Package: libpam-ncp
Section: admin
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ncpfs (<= 2.2.0.18-10)
Description: PAM module allowing authentication from a NetWare server
 This module lets you use a NetWare server as a source of
 authentication (but not session or other) information for 
 PAM-enabled apps.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.
# Copyright (C) 2005 Anibal Monsalve Salazar <anibal@debian.org>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DESTDIR = `pwd`/debian/ncpfs

IVARS = DESTDIR=$(DESTDIR)

ifneq (,$(findstring ia64, ${DEB_BUILD_ARCH}))
CONFIGARGS = --prefix=/usr --sysconfdir=/etc \
	--mandir=/usr/share/man --enable-pam \
	--disable-function-sections
else
CONFIGARGS = --prefix=/usr --sysconfdir=/etc \
	--mandir=/usr/share/man --enable-pam
endif

build: build-stamp
build-stamp:
	dh_testdir

	cp -f /usr/share/misc/config.sub .
	cp -f /usr/share/misc/config.guess .
	# Add here commands to compile the package.
	[ -f Makefile ] || ./configure ${CONFIGARGS}

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp po/de.gmo
	rm -f config.sub config.guess

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Install binaries
	$(MAKE) install $(IVARS)

	# Now install development files for the libncp-dev package
	$(MAKE) install-dev $(IVARS)

	# This is to comply with policy (the symlink that ldconfig would 
	#	produce must exist in the package).
	/sbin/ldconfig -n $(DESTDIR)/usr/lib/

	# Install ipx's conffiles
	install -m 0644 debian/ipx.conf $(DESTDIR)/etc/ipx.conf

	dh_movefiles --sourcedir=debian/ncpfs

	# Ooppsss, wrong location!
	mv debian/libncp/usr/lib/libncp.a debian/libncp-dev/usr/lib/

	# Delete unwanted directories left around by dh_movefiles
	rm -Rf $(DESTDIR)/etc/
	rm -Rf $(DESTDIR)/lib/
	rm -Rf $(DESTDIR)/usr/include/
	rm -Rf $(DESTDIR)/usr/lib/
	rm -Rf $(DESTDIR)/usr/share/man/man3/

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -A
	dh_installman
	dh_installexamples
	dh_installinit
	dh_installchangelogs Changes
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms

	# You may want to make some executables suid here.
	chmod u+s debian/ncpfs/usr/bin/nwsfind debian/ncpfs/usr/bin/ncpmount debian/ncpfs/usr/bin/ncpumount

	dh_installdeb
	dh_shlibdeps -l$(DESTDIR)/usr/lib/
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
